Skip to main content
GET
/
policies
List my policies
curl --request GET \
  --url https://api.example.com/policies
import requests

url = "https://api.example.com/policies"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "offset": 123,
  "limit": 123,
  "data": [
    {
      "claimsHistory": [
        {
          "year": 123,
          "claimsNumber": 123,
          "fleetSize": 123
        }
      ],
      "owners": [
        {
          "userId": "<string>",
          "email": "<string>",
          "roles": [
            {
              "productId": "<string>",
              "roleId": "<string>"
            }
          ]
        }
      ],
      "type": "<string>",
      "id": "<string>",
      "productId": "<string>",
      "createdAt": "<string>",
      "lastModifiedAt": "<string>",
      "assets": [
        "<string>"
      ],
      "customers": [
        "<string>"
      ],
      "periodDuration": {
        "amount": 123
      },
      "invoicingConfig": {
        "earlyPayment": {
          "amount": 123
        }
      },
      "customFields": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "name": "<string>",
      "parent": "<string>",
      "brokerageFirm": "<string>",
      "incrementalId": 123,
      "externalId": "<string>",
      "author": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userId": "<string>",
        "email": "<string>",
        "brokerRole": "<string>"
      },
      "signedAt": "<string>",
      "startedAt": "<string>",
      "endedAt": "<string>",
      "stoppedAt": "<string>",
      "suspendedAt": "<string>",
      "reactivatedAt": "<string>",
      "acceptedEmailDomains": [
        "<string>"
      ],
      "acceptedQuoteOptions": {
        "availableConfigs": [
          {
            "tier": "<string>",
            "excess": "<string>",
            "perils": [
              {
                "id": "<string>",
                "required": true,
                "options": [
                  "<string>"
                ],
                "showWhen": {
                  "fieldKey": "<string>",
                  "fieldValue": "<string>",
                  "condition": "<string>",
                  "value": "<string>"
                }
              }
            ]
          }
        ],
        "defaultConfig": {
          "tier": "<string>",
          "excess": "<string>",
          "perils": [
            {
              "id": "<string>",
              "option": "<string>",
              "available": true,
              "unavailabilityMessage": "<string>"
            }
          ]
        }
      },
      "additionalQuoteComponents": {
        "id": "<string>",
        "premium": {
          "amountPreFeesAndTaxes": 123,
          "fees": [
            {
              "id": "<string>",
              "amount": 123,
              "brokerageFirmId": "<string>"
            }
          ],
          "totalFees": 123,
          "amountWithFeesPreTaxes": 123,
          "taxes": [
            {
              "id": "<string>",
              "amount": 123
            }
          ],
          "totalTaxes": 123,
          "amountWithFeesAndTaxes": 123
        }
      },
      "quote": {
        "id": "<string>",
        "entityId": "<string>",
        "provider": {
          "id": "<string>",
          "version": "<string>"
        },
        "rates": [
          {
            "id": "<string>",
            "rate": 123,
            "inputs": [
              {
                "id": "<string>",
                "value": "<string>"
              }
            ]
          }
        ],
        "totalPremium": {
          "amountPreFeesAndTaxes": 123,
          "fees": [
            {
              "id": "<string>",
              "amount": 123,
              "brokerageFirmId": "<string>"
            }
          ],
          "totalFees": 123,
          "amountWithFeesPreTaxes": 123,
          "taxes": [
            {
              "id": "<string>",
              "amount": 123
            }
          ],
          "totalTaxes": 123,
          "amountWithFeesAndTaxes": 123
        },
        "components": [
          {
            "id": "<string>",
            "premium": {
              "amountPreFeesAndTaxes": 123,
              "fees": [
                {
                  "id": "<string>",
                  "amount": 123,
                  "brokerageFirmId": "<string>"
                }
              ],
              "totalFees": 123,
              "amountWithFeesPreTaxes": 123,
              "taxes": [
                {
                  "id": "<string>",
                  "amount": 123
                }
              ],
              "totalTaxes": 123,
              "amountWithFeesAndTaxes": 123
            }
          }
        ],
        "basePrice": 123
      },
      "proratedQuote": {
        "id": "<string>",
        "entityId": "<string>",
        "provider": {
          "id": "<string>",
          "version": "<string>"
        },
        "rates": [
          {
            "id": "<string>",
            "rate": 123,
            "inputs": [
              {
                "id": "<string>",
                "value": "<string>"
              }
            ]
          }
        ],
        "totalPremium": {
          "amountPreFeesAndTaxes": 123,
          "fees": [
            {
              "id": "<string>",
              "amount": 123,
              "brokerageFirmId": "<string>"
            }
          ],
          "totalFees": 123,
          "amountWithFeesPreTaxes": 123,
          "taxes": [
            {
              "id": "<string>",
              "amount": 123
            }
          ],
          "totalTaxes": 123,
          "amountWithFeesAndTaxes": 123
        },
        "components": [
          {
            "id": "<string>",
            "premium": {
              "amountPreFeesAndTaxes": 123,
              "fees": [
                {
                  "id": "<string>",
                  "amount": 123,
                  "brokerageFirmId": "<string>"
                }
              ],
              "totalFees": 123,
              "amountWithFeesPreTaxes": 123,
              "taxes": [
                {
                  "id": "<string>",
                  "amount": 123
                }
              ],
              "totalTaxes": 123,
              "amountWithFeesAndTaxes": 123
            }
          }
        ],
        "basePrice": 123
      },
      "maximumNumberOfBikes": 123,
      "selectedTier": {},
      "stop": {
        "reason": "<string>",
        "details": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "createdAt": "<string>"
      },
      "brokerageFees": [
        {
          "brokerageFirmId": "<string>",
          "fee": 50
        }
      ]
    }
  ]
}

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

productId
string
required

The productId

offset
number
default:0

the pagination offset

pageSize
number
default:50

the pagination page size

signed
boolean

retrieve only signed policies

brokerageFirmId
string

list policies of a specific brokerage firm (requires the permission brokerage-firm:policies:list-all)

Response

200 - application/json
total
number
required

Total number of policies

offset
number
required

Offset used for pagination

limit
number
required

Page size used for pagination

data
object[]
required

List of policies